> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Single Grant

> Creates one ACCEPTED grant with tags and optional lockup, then generates vesting and lockup schedules.

Not available to API keys yet. It will need `grants:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /tga/add-single-grant
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/add-single-grant:
    post:
      operationId: addSingleGrant
      summary: Add Single Grant
      description: >-
        Creates one ACCEPTED grant with tags and optional lockup, then generates
        vesting and lockup schedules.


        Not available to API keys yet. It will need `grants:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AddSingleGrantRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AddSingleGrantResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    AddSingleGrantRequest:
      type: object
      properties:
        grantName:
          type: string
          minLength: 1
          maxLength: 500
        grantDescription:
          type: string
          maxLength: 10000
        grantConfigurationID:
          type: string
          format: uuid
        grantAmount:
          type: number
        grantAmountInFiat:
          type: number
        tokenTypeID:
          type:
            - string
            - 'null'
          format: uuid
        pricePerUnit:
          type: number
        fmvPerUnit:
          type: string
          format: decimal
          pattern: ^-?[0-9]+(\.[0-9]+)?$
        pricePerUnitCurrencyCode:
          type: string
          maxLength: 20
        scheduleStringOverride:
          type: string
          maxLength: 10000
        vestingStartDate:
          type: string
          format: date-time
        vestingFrequencyType:
          type: string
          enum:
            - MONTHLY
            - QUARTERLY
            - SEMIANNUALLY
            - YEARLY
            - CUSTOM
            - DAILY
            - WEEKLY
        vestingCliffPercentage:
          type: number
        vestingCliffPeriods:
          type: integer
          minimum: 0
          maximum: 1000
        vestingPeriods:
          type: integer
          minimum: 0
          maximum: 10000
        lockup:
          type: integer
          minimum: 0
          maximum: 1000
        recipientID:
          type: string
          format: uuid
        isSection83bElectionEligible:
          type: boolean
        isTaxable:
          type: boolean
        offPlatformDate:
          type: string
          format: date-time
        tags:
          type: array
          items:
            type: string
            minLength: 1
            maxLength: 100
          maxItems: 500
        grantDate:
          type: string
          format: date-time
        autoVesting:
          type: boolean
        isCashCompensation:
          type: boolean
        grantAssetType:
          type: string
          enum:
            - TOKEN
            - FIAT
        grantTemplateID:
          type: string
          format: uuid
      required:
        - grantName
        - grantDescription
        - grantConfigurationID
        - grantAmount
        - vestingStartDate
        - vestingFrequencyType
        - vestingCliffPercentage
        - vestingCliffPeriods
        - vestingPeriods
        - lockup
        - recipientID
        - tags
        - grantDate
    AddSingleGrantResponse:
      type: object
      properties:
        grantID:
          type: string
      required:
        - grantID
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
